% function to determine image cropping rectangle
% input, coordinates of 4 sided polygon: vectIn = [x_bot_left y_bot_left x_top_left y_top_left 
%             x_top_right y_top_right x_bot_right y_bot_right]
% return, rectCrop: minimum enclosing rectangle of this polygon: [x_top_left y_top_left width(columns) height(rows)]
% Author: Ching Lik Teo (cteo@cs.umd.edu)
% Date: 01/31/2011

function rectCrop = findCropRect(vectIn)

% get x and y coordinates - put into a vector
xVect=vectIn(1:2:length(vectIn));
yVect=vectIn(2:2:length(vectIn));
% find minimum and maximum x and y coordinates
minX = min(xVect); minY = min(yVect);
maxX = max(xVect); maxY = max(yVect);
% return 
rectCrop=[minX minY (maxX-minX)  (maxY-minY)];

end



